const defaultTodos = `[
{"done":1,"text":"Use Dom Id's In Script"},
{"done":1,"text":"Attribute Juma-Khan"},
{"done":1,"text":"Use less code"},
{"done":1,"text":"Use less html"},
{"done":1,"text":"Write semantic html"},
{"done":0,"text":"Implement drag and drop"},
{"done":1,"text":"Segregate data and presentation"},
{"done":1,"text":"Write Html Comment"},
{"done":true,"text":"Write Some Code"}]`;
loadTodos();
btnAdd.onclick = (e) => addTodo();
txtTodo.onkeydown = (e) => {
	if (e.key === "Enter") addTodo();
};

function addTodo(todo) {
	if (!txtTodo.value) {
		txtTodo.setAttribute("placeholder", "Please enter a todo item");
		setTimeout(() => {
			txtTodo.setAttribute("placeholder", "Add a task");
		}, 3000);
		return;
	}
	const todoItem = document.createElement("li");
	todoItem.innerHTML = `${txtTodo.value}<b></b>`;
	ulTodos.prepend(todoItem);
	txtTodo.value = "";
	saveTodos();
}

ulTodos.onclick = (e) => {
	if (e.target.tagName === "LI")
		return saveTodos(e.target.classList.toggle("done"));
	if (e.target.tagName === "B")
		return saveTodos(e.target.parentElement.remove());
};

function saveTodos() {
	const data = [...document.querySelectorAll("#ulTodos>li")].map((a) => ({
		done: a.className === "done",
		text: a.innerText
	}));
	localStorage.todoData = JSON.stringify(data);
}

function loadTodos() {
	ulTodos.innerHTML = JSON.parse(localStorage.todoData || defaultTodos)
		.map((a) => `<li class="${a.done ? "done" : ""}">${a.text}<b></b></li>`)
		.join("");
}
